package com.mortals.xhx.common.code;

import com.mortals.framework.ap.SysConstains;
import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 应用分类
 */
public enum AppsClassifyEnum implements IBaseEnum {
    EDUCATION(1, "教育", SysConstains.STYLE_DEFAULT),
    MEDICAL(2, "医疗", SysConstains.STYLE_DEFAULT),
    PUBLIC_SERVICE(3, "公共服务", SysConstains.STYLE_DEFAULT);
    private int value;
    private String desc;
    private String style;

    AppsClassifyEnum(int value, String desc, String style) {
        this.value = value;
        this.desc = desc;
        this.style = style;
    }

    @Override
    public int getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }

    public String getStyle()
    {
        return style;
    }

    public static AppsClassifyEnum getByValue(int value) {
        for (AppsClassifyEnum examStatus : AppsClassifyEnum.values()) {
            if (examStatus.getValue() == value) {
                return examStatus;
            }
        }
        return null;
    }
    /**
     * 获取Map集合
     * @param eItem 不包含项
     * @return
     */
    public static Map<String,String> getEnumMap(int... eItem) {
        Map<String,String> resultMap= new LinkedHashMap<String,String>();
        for (AppsClassifyEnum item : AppsClassifyEnum.values()) {
            try{
                boolean hasE = false;
                for (int e : eItem){
                    if(item.getValue()==e){
                        hasE = true;
                        break;
                    }
                }
                if(!hasE){
                    resultMap.put(item.getValue()+"", item.getDesc());
                }
            }catch(Exception ex){
            }
        }
        return resultMap;
    }
}
