package com.mortals.xhx.module.apps.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.apps.model.vo.AppsInfoVo;
/**
* 应用信息实体对象
*
* @author zxfei
* @date 2022-12-26
*/

public class AppsInfoEntity extends AppsInfoVo {
    private static final long serialVersionUID = 1L;

    /**
    * 应用名称
    */
    private String name;
    /**
    * 应用描述
    */
    private String describe;
    /**
    * 应用访问地址
    */
    private String url;
    /**
    * 图标
    */
    private String icon;
    /**
    * 排序号
    */
    private Integer sort;
    /**
    * 应用分类
    */
    private Integer classify;



    public AppsInfoEntity(){}
    /**
    * 获取 应用名称
    * @return String
    */
    public String getName(){
        return name;
    }
    /**
    * 设置 应用名称
    * @param name
    */
    public void setName(String name){
        this.name = name;
    }
    /**
    * 获取 应用描述
    * @return String
    */
    public String getDescribe(){
        return describe;
    }
    /**
    * 设置 应用描述
    * @param describe
    */
    public void setDescribe(String describe){
        this.describe = describe;
    }
    /**
    * 获取 应用访问地址
    * @return String
    */
    public String getUrl(){
        return url;
    }
    /**
    * 设置 应用访问地址
    * @param url
    */
    public void setUrl(String url){
        this.url = url;
    }
    /**
    * 获取 图标
    * @return String
    */
    public String getIcon(){
        return icon;
    }
    /**
    * 设置 图标
    * @param icon
    */
    public void setIcon(String icon){
        this.icon = icon;
    }
    /**
    * 获取 排序号
    * @return Integer
    */
    public Integer getSort(){
        return sort;
    }
    /**
    * 设置 排序号
    * @param sort
    */
    public void setSort(Integer sort){
        this.sort = sort;
    }
    /**
    * 获取 应用分类
    * @return Integer
    */
    public Integer getClassify(){
        return classify;
    }
    /**
    * 设置 应用分类
    * @param classify
    */
    public void setClassify(Integer classify){
        this.classify = classify;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AppsInfoEntity) {
            AppsInfoEntity tmp = (AppsInfoEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",name:").append(getName());
        sb.append(",describe:").append(getDescribe());
        sb.append(",url:").append(getUrl());
        sb.append(",icon:").append(getIcon());
        sb.append(",sort:").append(getSort());
        sb.append(",classify:").append(getClassify());
        return sb.toString();
    }

    public void initAttrValue(){

            this.name = "";

            this.describe = "";

            this.url = "";

            this.icon = "";

            this.sort = null;

            this.classify = null;
    }
}