package com.mortals.xhx.module.sst.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.sst.model.vo.SstAppsVo;
/**
* 应用编排实体对象
*
* @author zxfei
* @date 2022-12-26
*/

public class SstAppsEntity extends SstAppsVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点id
    */
    private Long siteId;
    /**
    * 应用名称
    */
    private String name;
    /**
    * 应用描述
    */
    private String describe;
    /**
    * 应用访问地址
    */
    private String url;
    /**
    * 是否展示基础应用1是0否
    */
    private Integer showBasic;
    /**
    * 基础应用排序号
    */
    private Integer basicSort;
    /**
    * 是否展示热门应用1是0否
    */
    private Integer showHot;
    /**
    * 热门应用排序号
    */
    private Integer hotSort;
    /**
    * 应用id
    */
    private Long appId;



    public SstAppsEntity(){}
    /**
    * 获取 站点id
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点id
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 应用名称
    * @return String
    */
    public String getName(){
        return name;
    }
    /**
    * 设置 应用名称
    * @param name
    */
    public void setName(String name){
        this.name = name;
    }
    /**
    * 获取 应用描述
    * @return String
    */
    public String getDescribe(){
        return describe;
    }
    /**
    * 设置 应用描述
    * @param describe
    */
    public void setDescribe(String describe){
        this.describe = describe;
    }
    /**
    * 获取 应用访问地址
    * @return String
    */
    public String getUrl(){
        return url;
    }
    /**
    * 设置 应用访问地址
    * @param url
    */
    public void setUrl(String url){
        this.url = url;
    }
    /**
    * 获取 是否展示基础应用1是0否
    * @return Integer
    */
    public Integer getShowBasic(){
        return showBasic;
    }
    /**
    * 设置 是否展示基础应用1是0否
    * @param showBasic
    */
    public void setShowBasic(Integer showBasic){
        this.showBasic = showBasic;
    }
    /**
    * 获取 基础应用排序号
    * @return Integer
    */
    public Integer getBasicSort(){
        return basicSort;
    }
    /**
    * 设置 基础应用排序号
    * @param basicSort
    */
    public void setBasicSort(Integer basicSort){
        this.basicSort = basicSort;
    }
    /**
    * 获取 是否展示热门应用1是0否
    * @return Integer
    */
    public Integer getShowHot(){
        return showHot;
    }
    /**
    * 设置 是否展示热门应用1是0否
    * @param showHot
    */
    public void setShowHot(Integer showHot){
        this.showHot = showHot;
    }
    /**
    * 获取 热门应用排序号
    * @return Integer
    */
    public Integer getHotSort(){
        return hotSort;
    }
    /**
    * 设置 热门应用排序号
    * @param hotSort
    */
    public void setHotSort(Integer hotSort){
        this.hotSort = hotSort;
    }
    /**
    * 获取 应用id
    * @return Long
    */
    public Long getAppId(){
        return appId;
    }
    /**
    * 设置 应用id
    * @param appId
    */
    public void setAppId(Long appId){
        this.appId = appId;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SstAppsEntity) {
            SstAppsEntity tmp = (SstAppsEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",name:").append(getName());
        sb.append(",describe:").append(getDescribe());
        sb.append(",url:").append(getUrl());
        sb.append(",showBasic:").append(getShowBasic());
        sb.append(",basicSort:").append(getBasicSort());
        sb.append(",showHot:").append(getShowHot());
        sb.append(",hotSort:").append(getHotSort());
        sb.append(",appId:").append(getAppId());
        return sb.toString();
    }

    public void initAttrValue(){

            this.siteId = null;

            this.name = "";

            this.describe = "";

            this.url = "";

            this.showBasic = 1;

            this.basicSort = null;

            this.showHot = 1;

            this.hotSort = null;

            this.appId = null;
    }
}