package com.mortals.xhx.module.sst.service.impl;
import com.mortals.framework.service.IUser;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.sst.dao.SstBasicDao;
import com.mortals.xhx.module.sst.model.SstBasicEntity;
import com.mortals.xhx.module.sst.service.SstBasicService;

import java.util.Date;
import java.util.List;

/**
* SstBasicService
* 基础配置 service实现
*
* @author zxfei
* @date 2022-12-21
*/
@Service("sstBasicService")
public class SstBasicServiceImpl extends AbstractCRUDServiceImpl<SstBasicDao, SstBasicEntity, Long> implements SstBasicService {

    @Override
    public SstBasicEntity getBasicBySiteId(Long siteId) throws AppException {
        if(siteId == null){
            throw new AppException("站点id不能为空");
        }
        SstBasicEntity query = new SstBasicEntity();
        query.setSiteId(siteId);
        List<SstBasicEntity> list = this.find(query);
        if(CollectionUtils.isNotEmpty(list)){
            return list.get(0);
        }else {
            return query;
        }
    }

    @Override
    public void settingSave(SstBasicEntity basicEntity,Context context) throws AppException {
        if(basicEntity.getSiteId() == null){
            throw new AppException("站点id不能为空");
        }

        if(basicEntity.getId()==null){
            if(context!=null){
                basicEntity.setCreateUserId(context.getUser().getId());
                basicEntity.setCreateTime(new Date());
            }
            this.save(basicEntity,context);
        }else {
            if(context!=null){
                basicEntity.setUpdateUserId(context.getUser().getId());
                basicEntity.setUpdateTime(new Date());
            }
            this.update(basicEntity,context);
        }
    }
}