package com.mortals.xhx.module.sst.web;
import com.mortals.framework.annotation.RepeatSubmit;
import com.mortals.framework.service.IUser;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.sst.model.SstSkinEntity;
import com.mortals.xhx.module.sst.service.SstSkinService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;

import java.util.*;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 皮肤管理
*
* @author zxfei
* @date 2022-12-21
*/
@RestController
@RequestMapping("skin")
public class SstSkinController extends BaseCRUDJsonBodyMappingController<SstSkinService,SstSkinEntity,Long> {

    @Autowired
    private ParamService paramService;

    public SstSkinController(){
        super.setModuleDesc( "皮肤管理");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        super.init(model, context);
    }

    @PostMapping({"setting"})
    @RepeatSubmit
    public String setting(@RequestBody SstSkinEntity entity,@RequestHeader("Authorization") String authorization) {
        Map<String, Object> model = new HashMap();
        Context context = this.getContext();
        String busiDesc = "保存" + this.getModuleDesc();

        int code=1;
        try {
            this.service.settingSkin(entity, authorization);
            model.put("id", entity.getId());
            model.put("entity", entity);
            model.put("message_info", busiDesc + "成功");
            this.recordSysLog(this.request, busiDesc + " 【成功】 [id:" + entity.getId() + "]");
        } catch (Exception var7) {
            this.doException(this.request, busiDesc, model, var7);
            model.put("entity", entity);
            this.init(model, context);
            code = this.saveException(entity, model, context, var7);
        }

        this.init(model, context);
        JSONObject ret = new JSONObject();
        ret.put("code", code);
        ret.put("msg", model.remove("message_info"));
        ret.put("data", model);
        return ret.toJSONString();
    }
}